Package org.wso2.carbon.deployment.synchronizer.util

## Class DeploymentSynchronizerConfiguration

- java.lang.Object
- - org.wso2.carbon.deployment.synchronizer.util.DeploymentSynchronizerConfiguration

-     public class DeploymentSynchronizerConfiguration
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeploymentSynchronizerConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getPeriod()` |
    `RepositoryConfigParameter[]` | `getRepositoryConfigParameters()` |
    `String` | `getRepositoryType()` |
    `boolean` | `isAutoCheckout()` |
    `boolean` | `isAutoCommit()` |
    `boolean` | `isEnabled()` |
    `boolean` | `isServerBasedConfiguration()` | Indicates whether the configuration is retrieved from the server config file (carbon.xml)
    `boolean` | `isUseEventing()` |
    `void` | `setAutoCheckout​(boolean autoCheckout)` |
    `void` | `setAutoCommit​(boolean autoCommit)` |
    `void` | `setEnabled​(boolean enabled)` |
    `void` | `setPeriod​(long period)` |
    `void` | `setRepositoryConfigParameters​(RepositoryConfigParameter[] repositoryConfigParameters)` |
    `void` | `setRepositoryType​(String repositoryType)` |
    `void` | `setServerBasedConfiguration​(boolean serverBasedConfiguration)` |
    `void` | `setUseEventing​(boolean useEventing)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentSynchronizerConfiguration

          public DeploymentSynchronizerConfiguration()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled​(boolean enabled)

    - #### isAutoCommit

          public boolean isAutoCommit()

    - #### setAutoCommit

          public void setAutoCommit​(boolean autoCommit)

    - #### isAutoCheckout

          public boolean isAutoCheckout()

    - #### setAutoCheckout

          public void setAutoCheckout​(boolean autoCheckout)

    - #### getPeriod

          public long getPeriod()

    - #### setPeriod

          public void setPeriod​(long period)

    - #### isUseEventing

          public boolean isUseEventing()

    - #### setUseEventing

          public void setUseEventing​(boolean useEventing)

    - #### getRepositoryType

          public String getRepositoryType()

    - #### setRepositoryType

          public void setRepositoryType​(String repositoryType)

    - #### getRepositoryConfigParameters

          public RepositoryConfigParameter[] getRepositoryConfigParameters()

    - #### setRepositoryConfigParameters

          public void setRepositoryConfigParameters​(RepositoryConfigParameter[] repositoryConfigParameters)

    - #### isServerBasedConfiguration

          public boolean isServerBasedConfiguration()

      Indicates whether the configuration is retrieved from the server config file (carbon.xml)
      Returns:
        True if configuration is retrieved from carbon.xml. False otherwise.

    - #### setServerBasedConfiguration

          public void setServerBasedConfiguration​(boolean serverBasedConfiguration)